Subject: Re: [PATCH 1/5] msvc: Fix compilation errors caused by poll.h emulation

From: Sven Strickroth <[email-masked]>
Date: Thu, 09 May 2013 23:12:28 +0200

Am 09.05.2013 22:35 schrieb Ramsay Jones:
> Note that '-Icompat/poll' is passed on the command-line (it is split at -Icomp
> above), which comes from:
> 
>     ramsay (tmp) ms $ git grep -n 'compat/poll'
>     Makefile:647:LIB_H += compat/poll/poll.h
>     Makefile:1235:  COMPAT_CFLAGS += -DNO_POLL -Icompat/poll
>     Makefile:1236:  COMPAT_OBJS += compat/poll/poll.o
>     ramsay (tmp) ms $
> 
> I have a patch which allows me to generate the preprocessed output file
> and, after running it on git.c (=> git.i), I can see that msvc reads the
> compat/poll/poll.h file. (from line 128 of git-compat-util.h).
> 
> Are you using a MSVC "project" file? If so, is it equivalent to the Makefile?
> Has the "#include" behaviour changed between MSVC 2008 -> MSVC 2012?

Thank you for your explanation. The problem for me was, that
_WIN32_WINNT was set to 0x0600 and thus winsck2.h was also declaring pollfd.

Building libgit works now.

-- 
Best regards,
 Sven Strickroth
 PGP key id F5A9D4C4 @ any key-server